%include	/usr/lib/rpm/macros.perl
Summary:	A tool to show diffs between rpms
Summary(pl.UTF-8):	Narzędzie do pokazywania różnic między pakietami rpm
Name:		urpmdiff
Version:	2.0.1
Release:	1
License:	GPL
Group:		Development
Source0:	https://abf.rosalinux.ru/software/urpmdiff/archive/%{name}-v%{version}.tar.gz
# Source0-md5:	e3990501d53c5a60c378c443c8793346
URL:		https://abf.rosalinux.ru/software/urpmdiff
BuildRequires:	rpm-perlprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
urpmdiff shows the differences between two rpms. It's intended to help
packagers to know what has changed between an old and a new version of
an rpm. Its output is reminiscent of the unified diff format.

%description -l pl.UTF-8
urpmdiff pokazuje różnice między dwoma pakietami rpm. Jego zadaniem
jest pomoc osobom pakietującym, aby wiedziały, co zmieniło się między
starą a nową wersją pakietu. Wyjście przypomina format unified diff.

%prep
%setup -q -n %{name}-v%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/urpmdiff/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/urpmdiff
%{_mandir}/man1/urpmdiff.1*
%changelog
* Sun May 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/urpmdiff.git;a=log;h=master

* Sun May 15 2016 Elan Ruusamäe <glen@delfi.ee> d758503
- up to 2.0.1

* Sat Apr 05 2014 Elan Ruusamäe <glen@delfi.ee> 319a12f
- up to 2.0, fixes md5 verify

* Tue Jul 02 2013 Elan Ruusamäe <glen@delfi.ee> 1d8ac06
- fix binary executable permissions

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b350ab4
- release 2

* Sun Mar 21 2010 Elan Ruusamäe <glen@pld-linux.org> 59d8c95
- up to 1.9 (urpmdiff-1.9-5mdv2010.0.src.rpm from mandriva contrib)

* Wed Dec 30 2009 Elan Ruusamäe <glen@pld-linux.org> c6ec514
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 150022f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5b91760
- converted to UTF-8

* Tue Dec 05 2006 darekr <darekr@pld-linux.org> 4dc4fb6
- BR: rpm-perlprov

* Tue Oct 11 2005 Elan Ruusamäe <glen@pld-linux.org> 55894a1
- integer release

* Sat Sep 17 2005 Elan Ruusamäe <glen@pld-linux.org> e9d0a5b
- use pure_install

* Thu Jul 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 92d292d
- pl

* Wed Jul 06 2005 Elan Ruusamäe <glen@pld-linux.org> 07fd4b8
- rpm tools from mandrake/mandriva

* Wed Jul 06 2005 Elan Ruusamäe <glen@pld-linux.org> 9e2049f
- use system cat

